Get IABot to use new CheckIfDead package
Closed, ResolvedPublic5 Story Points

Description

Once T140135 is finished, we should update the InternetArchiveBot code to use the new package via composer, rather than having it's own code for deadlink detection.

kaldari created this task.Jul 14 2016, 5:43 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 14 2016, 5:43 PM
DannyH set the point value for this task to 5.
DannyH triaged this task as "Normal" priority.Jul 14 2016, 5:46 PM
DannyH moved this task from Sprint planning/estimation to Backlog on the Community-Tech board.
Niharika claimed this task.Aug 3 2016, 1:12 AM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

I put up a PR: https://github.com/wikimedia/Cyberbot_II/pull/2 although I don't really have a way of testing it. Ryan or Leon will have to do the honors.

I think this needs to be updated for the recent changes to the CheckIfDead class.

I think this needs to be updated for the recent changes to the CheckIfDead class.

It's been updated already. And the merge conflicts have been fixed too.

I'm confused. It looks like it's still using checkDeadlinks() instead of areLinksDead(). Is there another pull request?

I'm confused. It looks like it's still using checkDeadlinks() instead of areLinksDead(). Is there another pull request?

Ah! You're right, I updated the format used but forgot to update the name. Fixed now.

This PR needs to be tested before merging.

Cyberpower678 added a subscriber: Cyberpower678.

What's the update in this? It looks like it's ready to be merged into IABot.

What's the update in this? It looks like it's ready to be merged into IABot.

This PR needs to be tested before merging.

What's the update in this? It looks like it's ready to be merged into IABot.

This PR needs to be tested before merging.

Pull to the branch composer-test and I'll test it out.
https://github.com/cyberpower678/Cyberbot_II/tree/composer-test

kaldari added a comment.EditedAug 22 2016, 9:16 PM

@Niharika: A few more things...

  • Line 502 in Parser can be deleted now
  • Line 508 in Parser will need to be changed to $link['is_dead'] = $results[$link['url']];
  • Need to require the autoload file in parse.php
  • Need to update tests/Parser/parse.php

@Niharika: A few more things...

  • Need to update tests/Parser/parse.php

I don't understand this part. There doesn't seem to be any function which tests analyzePage. What am I missing?
New PR is up at https://github.com/cyberpower678/Cyberbot_II/pull/29 for @Cyberpower678 to test.

I don't understand this part. There doesn't seem to be any function which tests analyzePage. What am I missing?

Looks like you fixed it:
https://github.com/cyberpower678/Cyberbot_II/pull/29/files#diff-c710db55adb15404bde6dfaccd3a9124R4

kaldari closed this task as "Resolved".Aug 24 2016, 4:43 PM
kaldari moved this task from In Development to Done on the Community-Tech-Sprint board.
DannyH moved this task from Backlog to Archive on the Community-Tech board.Aug 31 2016, 12:12 AM